import { Component, OnInit } from '@angular/core';
import { IonButton, IonContent,IonInput,IonTextarea } from '@ionic/angular/standalone';
/** 引用：从fmode-ng库引用FmodeChatCompletion类 */
import { FmodeChatCompletion } from 'fmode-ng';

@Component({
  selector: 'app-page-write',
  templateUrl: './page-write.component.html',
  styleUrls: ['./page-write.component.scss'],
  standalone: true,
  imports: [IonButton,IonContent,IonTextarea,IonInput
    ],
})
export class PageWriteComponent  implements OnInit {

  constructor() {}
  // 用户输入提示词
  type:string = "玄幻"
  typeInput(ev:any){
    this.type = ev.detail.value;
  }
  // 用户输入提示词
  userPrompt:string = "帮我生成一部以古代文人墨客与现代作家之间的灵魂交流为线索的小说概要。"
  promptInput(ev:any){
    this.type = ev.detail.value;
  }
  // 属性：组件内用于展示消息内容的变量
  ngOnInit(): void {
    
  }
  responseMsg:any = ""
  // 方法：实例化completion对象，传入消息数组，并订阅生成的可观察对象。
  sendMessage(){
    console.log("create")

    let PromptTemplate =`
    您作为一名专业的${this.type}小说作家，请您根据用户的描述的想要生成的小说内容，写出一篇小说，
    以下是用户的描述：${this.userPrompt}
    `

    let completion = new FmodeChatCompletion([
      {role:"system",content:""},
      {role:"user",content:PromptTemplate}
    ])
    completion.sendCompletion().subscribe((message:any)=>{
      // 打印消息体
      console.log(message.content)
      // 赋值消息内容给组件内属性
      this.responseMsg = message.content
    })
  }

}
